Bug 823094 - F17-beta install on KVM virtual machine doesn't detect video
F17-beta install on KVM virtual machine doesn't detect video
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 22:59 EDT by dosboss64
Modified: 2013-08-01 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:30:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
F17 beta DVD boot with default option (11.09 KB, image/png)
2012-05-18 22:59 EDT, dosboss64
no flags Details
X.org log file from failed graphics detection install (8.37 KB, application/octet-stream)
2012-05-18 23:02 EDT, dosboss64
no flags Details

  None (edit)
Description dosboss64 2012-05-18 22:59:44 EDT
Created attachment 585522 [details]
F17 beta DVD boot with default option

Description of problem:
Fedora 17-beta install from x86_64 F17 DVD iso into a Fedora 14 hosted (x86_64) KVM virtual machine (qemu-kvm-0.13.0-1.fc14.x86_64) will not detect the virtual hardware graphics 'card' so it will not use the graphical installer, nor will it install the X/windowing system or any graphical components. 
The installer shows several errors on a white background (screenshot attached), finally detailing that is unable to start X and it is falling back to text mode. The installer *will* install in graphical mode, and install all graphical components if the install option 'Toubleshooting -> Install Fedora in basic graphics mode' is used.


Version-Release number of selected component (if applicable):
Fedora 17-beta x86_64 install DVD 


How reproducible:
Every time tried.


Steps to Reproduce:
1. Create KVM virtual machine with 250GB HDD space and attach F17 install DVD iso
2. Boot virtual machine to DVD with 'Install or upgrade Fedora' option
3.
  
Actual results:
Installs without detecting graphics, installs in text mode.


Expected results:
Detects graphics from virtual hardware, installs with graphical installer and package set should include X/windowing system and associated packages.


Additional info:
The installer will use the virtual hardware graphics by using the install option 'Toubleshooting -> Install Fedora in basic graphics mode'.
Comment 1 dosboss64 2012-05-18 23:02:11 EDT
Created attachment 585523 [details]
X.org log file from failed graphics detection install

Attached X.org log file copied off the system after graphical install failed to start.
Comment 2 Fedora End Of Life 2013-07-04 00:25:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 09:30:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.